    /*
     *  call-seq:
     *     index_reader.set_norm(doc_id, field, val)
     *
     *  Expert: change the boost value for a +field+ in document at +doc_id+.
     *  +val+ should be an integer in the range 0..255 which corresponds to an
     *  encoced float value.
     */
    static VALUE
    frt_ir_set_norm(VALUE self, VALUE rdoc_id, VALUE rfield, VALUE rval)
    {
        IndexReader *ir = (IndexReader *)DATA_PTR(self);
        ir_set_norm(ir, FIX2INT(rdoc_id), frt_field(rfield), (uchar)NUM2CHR(rval));
        return self;
    }